0.246 2022-07-31
----------------


MAME Testers bugs fixed
-----------------------
- 00184: [Graphics] (m72.cpp) airduelm72: Startup notices are not displayed correctly. (Brian Troha)
- 06232: [Misc.] (taito_z.cpp) bshark: Lamp outputs are not exposed. (hap)
- 08108: [Sound] (toaplan1.cpp) truxton: Balance between instrument sounds is incorrect. (Aaron Giles)
- 08128: [Sound] (exidy440.cpp) crossbow, cheyenne: Certain sounds don’t play. (hap)
- 08231: [Sound] (megadriv.cpp) genesis and clones [ejim2u]: YM2612 “ladder effect” sounds wrong. (Aaron Giles)
- 08365: [DIP/Input] (subsino2.cpp) queenbee: Identified three DIP switches. (Steven Coomber)
- 08366: [Sound] (xain.cpp) xsleena and clones: Sound effects and music do not play. (AJR)
- 08370: [Crash/Freeze] (timex.cpp) tc2048: Emulator crashes on start. (holub)
- 08371: [Crash/Freeze] (luckybal.cpp) luckybala, luckybalb, luckybalc: Emulator crashes with access violation. (hap)
- 08378: [Documentation] Source file path display needs to be adjusted for new folder layout. (Vas Crabb)
- 08379: [Sound] (asterix.cpp) asterix: Some sound effects to not play. (hap)


New working machines
--------------------
532 XL (Yeno) [hap, Lars Hjorth]
Concept 2000 Mr. Mus-I-Cal [hap, Sean Riddle]
Elektor ATM18 Mini Chess Computer (English) [hap]
Tetris + Cherry Master (Aidonis Games bootleg) [Ioannis Bampoulas]
Tetris + Cherry Master (Corsica, v8.01, encrypted) [Ioannis Bampoulas]
unknown VT02 based 25-in-1 handheld [jordigahan, ClawGrip, Sean Riddle]


New working clones
------------------
Acrobat Mission (bootleg with Raiden sounds) [hammy, EMG]
Avengers (US) [anonymous]
Avengers (US, revision C) [anonymous]
Birdie Try (Japan revision S) [TeamEurope, Brian Troha, The Dumping Union]
Crazy Climber (ManilaMatic bootleg) [Trol]
Elektor CC2-Schachzwerg (German) [hap]
Fidelity Electronics Excel 68000 Mach III Master (set 2) [Supergrobi]
Fidelity Electronics Excel 68000 Mach III Master (set 3) [Lars Hjorth]
Football Power (Version 1.1) [Victor Fernandez (City Game), Arcade Planet]
Hegener + Glaser Mephisto MM II (set 4) [Lars Hjorth]
Hegener + Glaser Mephisto Rebell 5,0 (set 3) [Supergrobi]
Super Marukin-Ban (Japan 911128) [system11, porchy]
Thunder & Lightning (set 2) [Sergio Galiano, Recreativos Piscis]
Total Carnage (prototype, proto v 2.0 02/10/92) [The Garcade, Brian Troha]
unknown Sidam poker (horizontal) [Benjamin Roux]


Machines promoted to working
----------------------------
Poly-Net Warriors (ver JAA) [Ryan Holtz]
Polygonet Commanders (ver UAA) [Ryan Holtz]


New machines marked as NOT_WORKING
----------------------------------
Animal Wonders (ver A900) [Ioannis Bampoulas]
Giggle TV Pump Active [ClawGrip, Sean Riddle]
Inter Stellar Zangus (Laser Fantasy vol. 2) [Hiroharu Shiba, Matt Ownby]
MeGaTrix (Spain) [jordigahan, ClawGrip, Sean Riddle]
New Canasta [Vicente y Sergio de ElectronicaVyS, ClawGrip]
NubSup Mini Game Fan [taizou, TeamEurope]
Puzz Ball (Japan, PZB1 Ver.A) [buffi]
Q5 500 in 1 Handheld [taizou, TeamEurope]
unknown Namco System 10 medal game (unknown code) [buffi]
unknown VTxx based GameBoy style handheld (2019 PCB) [jordigahan, ClawGrip, Sean Riddle]


New clones marked as NOT_WORKING
--------------------------------
Croupier (Playmark Roulette v.03.09) [Ivan Vangelista]
Derby Owners Club World Edition (Rev T) [bobbydilley, chunksin, rtw]
The Grid (version 1.01) [Museo del Recreativo]
Lucky Line III [Ioannis Bampoulas]
Manx TT Superbike - DX/Twin (Revision C, set 2) [Tailsnic Retroworks]
unknown VTxx based GameBoy style handheld (2020 PCB) [jordigahan, ClawGrip, Sean Riddle]
Varth: Operation Thunderstorm (bootleg, set 3) [Jorge Silva]


New working software list additions
-----------------------------------
a7800: Food Fight (NTSC, prototype), Xevious (NTSC, prototype) [gambler172, Eckhard Stolberg]
apple2_flop_clcracked:
  Blazing Paddles (Revision 0) (cleanly cracked), Blazing Paddles (Version 04421) (cleanly cracked),
  The Chambers of Vocab (Revision 2) (cleanly cracked), CHASM Checking Account Systems Manager (cleanly cracked),
  Cotton's First Files (cleanly cracked), Counting Parade (Revision 0) (cleanly cracked),
  Disk Optimizer II (Version 1.1) (cleanly cracked), The Factory (Version 1984) (cleanly cracked),
  Fractions en Folie (cleanly cracked), German Vocabulary for Shopping Use (cleanly cracked),
  Key Lingo (Revision 2) (cleanly cracked), Learning about Geography, Maps, and Globes (cleanly cracked),
  Living Chess Library: 50 Classic Games (cleanly cracked), Living Chess Library: King's Indian Defense (cleanly cracked),
  Living Chess Library: Paul Whitehead Teaches Chess (cleanly cracked), Magicalc (Version 2.0-1984) (cleanly cracked),
  Master Diagnostics II and II Plus (cleanly cracked), Mathematics Courseware Problem Solving Level 5 (cleanly cracked),
  Number Explorer (cleanly cracked), Pacific 231 (cleanly cracked), PFS Etat (Version 1984-11-26) (cleanly cracked),
  PFS Fichier (Version 1984-11-26) (cleanly cracked), PFS File (Version B.01) (cleanly cracked),
  PFS File (Version C.00) (cleanly cracked), PFS Graph (Version 1983-01-12) (cleanly cracked),
  PFS Graph (Version 1984-01-31) (cleanly cracked), PFS Graph (Version 1984-03-14) (cleanly cracked),
  PFS Report (Version 1982-01-14) (cleanly cracked), PFS Report (Version 1985-09-10) (cleanly cracked),
  PFS Report (Version B:00 1981-01-03) (cleanly cracked), PFS Write (Version 1984-09-27) (cleanly cracked),
  PFS Write (Version 1984-11-01) (cleanly cracked), PFS Write (Version 1986-01-01) (cleanly cracked),
  Pixit (Version 01331) (cleanly cracked), Portrait Robot (cleanly cracked), Prince (Version 15521) (cleanly cracked),
  Prince (Version 15531) (cleanly cracked), Profession Détective: Qui a volé Lily (cleanly cracked),
  Rainy Day Games (Version 13501) (cleanly cracked), Science Volume 1: The Environment (cleanly cracked),
  Sherwood Forest (cleanly cracked), Ski Crazed (Version 28701) (cleanly cracked), Sur les traces du Deirdron (cleanly cracked),
  Take 1 (Version 06401) (cleanly cracked), Trickster Coyote (Version 1984) (cleanly cracked),
  Video Vegas (Version 12511) (cleanly cracked) [4am, Firehawke]
  Spanish for Mastery (cleanly cracked), Star Warrior (Revision 2) (cleanly cracked) [4am, san inc., Firehawke]
apple2_flop_misc: Lauren of the 25th Century [4am, Firehawke]
apple2_flop_orig: Lauren of the 25th Century [4am, Firehawke]
apple2gs_flop_orig:
  Tomahawk [4am, Firehawke]
  Dragon's Lair, Dragon's Lair II: Time Warp, Dragon's Lair III: Curse of Mordread, Dragon's Lair: Escape from Singe's Castle
  [Antoine Vignau, A-Noid]
c64_cass:
  Tag-Team Wrestling Plus Karate Champ, Tai-Pan, Tank, Tapper, Teenage Mutant Hero Turtles, Terra Cresta (Imagine), Test Drive,
  Tetris (Mirrorsoft), They Sold a Million, They Sold a Million 3, Thing Bounces Back, Thing on a Spring, Thrill Time Gold 1,
  Thunder Blade (U.S. Gold), Thundercats (Elite Systems), Tiger Mission, Tilt, Time Tunnel, Tintin on the Moon, Token of Ghall, Tom,
  Tom & Jerry, Top Gun, The Train: Escape to Normandy, The Transformers: Battle to Save the Earth, Transylvanian Tower
  [The Ultimate Tape Archive Team]
ekara_japan_g:
  TV Pop Junior Volume 4 (Japan) (GC0011-TPJ), TV Pop Junior Volume 7 (Japan) (GC0018-TPJ) [TeamEurope]
ekara_japan_m:
  Artist Mini Volume 5 (SMAP, KinKi Kids, ARASHI, TOKIO) (Japan) (MC0007-ATM),
  Kids Song Mini Volume 1 (TV Song) (Japan) (MC0005-KSM) [TeamEurope]
ekara_japan_s:
  Saiten Cartridge: Detective Conan Vol.1 (Japan) (SC0007-DCS), Saiten Cartridge: Detective Conan Vol.2 (Japan) (SC0015-DCS)
  [TeamEurope]
famibox: Punch-Out!! [Lina, Forest of Illusion]
gameboy:
  Dr. Franken (Europe, prototype), Tintin in Tibet (Europe, En / Es / It / Sv, prototype) [Aetius for Real]
  Dennis (Europe, prototype), Joe & Mac - Caveman Ninja (Europe, prototype), Mortal Kombat (prototype) [ashthedragon]
  Casper (prototype) [Clarkzer0, Forest of Illusion]
  Felix the Cat (prototype), Splitz (prototype), Super Off Road (prototype) [DillyDylan, drx]
  Disney's Darkwing Duck (prototype), Hook (USA, prototype) [FNeogeo, Forest of Illusion]
  Primal Rage (prototype) [JakeS909, drx]
  Eddie's Puzzle Time (prototype) [Jason McGann]
  Outburst (Japan, prototype) [Martin Refseth, Forest of Illusion]
  R-Type II (prototype) [The Retro Future]
  Mega Man III (USA, sample) [Skaarg, Rockman Corner]
  Lemmings (prototype) [speedyink]
  Aladdin (Europe, sample), Death Track (prototype) [thevideogameproject]
ibm5150:
  Advanced Dungeons & Dragons - DragonStrike (v1.0), Advanced Dungeons & Dragons - DragonStrike (v1.1),
  Advanced Dungeons & Dragons - DragonStrike (v1.2), Home Alone 2: Lost in New York, Pac-Man (Thunder Mountain release),
  Temple of Death (PC Disk Quarterly #9) [ibmpc5150, archive.org]
  Secret Agent (shareware, The $5 Computer Software Store - Wiz Technology release) [SmartCoda, archive.org]
ibm5170:
  Alone in the Dark 2 - Secret Doors (USA) [dosnostalgic, archive.org]
  Genesia (v1.4) [The Good Old Days]
  Genesia (v1.41) [MarkHnsn, archive.org]
megadriv: Road Riot 4WD (prototype, 19930719) [DrBizz]
nes:
  Déjà Vu (USA, prototype, 19900428), Déjà Vu (USA, prototype, 19900508), Déjà Vu (USA, prototype, 19900515),
  Déjà Vu (USA, prototype, 19900703), Shadowgate (Japan, prototype), Uninvited (USA, prototype, 19900704),
  Uninvited (USA, prototype, 19900823), Uninvited (USA, prototype, 19900830) [Forest of Illusion]
  Heavy Shreddin' (USA, prototype) [johnsodu]
nes_vt_cart: Color Screen Game World - 10 Types of Crazy Games / Wonders 163-in-1 [TeamEurope]
sgi_mips:
  IO4 PROM and flashio Patches, O2 Out of Box Experience, O2 Out of Box Experience 2.2 for IRIX 6.5,
  OCTANE Demos 1.3 and OCTANE2 Demos 1.0 for IRIX 6.5.9 and later, Octane2 VPro Patches 3927 for 6.5.8m and 3928 for 6.5.8f,
  Octane2 VPro Patches 4103 for 6.5.10m and 4104 for 6.5.10f [archive.org]
snes:
  Doraemon 2 - Nobita no Toys Land Daibouken (Japan, prototype) [atomic]
  Dragon Ball Z - Final Bout (pirate, hacked) [d4s]
  Jelly Boy (prototype) [Hard4Games, snescentral]
  Jelly Boy (earlier prototype) [Mark Flitman, snescentral, VGHF]
  Gourmet Warriors, Pinkie, Tinhead [NoIntro]
  Superman - Unfinished Version (demo) [Nostalgia Alley, snescentral, VGHF]
  Jimmy Connors Pro Tennis Tour (Germany, prototype) [snescentral]
vgmplay:
  Active Shoot (Sharp X68000), Alltynex (FM Towns), Bang Bang Ball (Arcade), Carillon Player V1.0 Demos (Nintendo Game Boy),
  Chakura - Challenger Club (NEC PC-9801), Child's Play (Nintendo Game Boy Color), Cyberbots - Fullmetal Madness (CP System II),
  Galaga '88 (Sharp X68000), Injuu Gakuen ~La Blue Girl~ (NEC PC-9801), Jimmy Connors Tennis (Nintendo Game Boy),
  King Breeder (NEC PC-8801, OPN), King Breeder (NEC PC-8801, OPNA), Kyuukyoku no Othello (Arcade),
  Lethal Weapon (Nintendo Game Boy), Lightning Soldier (Sharp X68000), Lotus - The Ultimate Challenge (IBM PC AT),
  Marble Madness II (Arcade), Mean Mr. Mustard (Nintendo Game Boy Color), Mime (NEC PC-9801),
  Ninpuu Sentai Hurricanger & Hyakujuu Sentai Gaoranger Chou Sentai Super Battle (Sega Pico), Noushuku ANGEL 120% (NEC PC-9801),
  Oh! Hajiki! Final (Sharp X68000), Ongaku Tsukuru (NEC PC-9801), Otoko Dama (Sharp X68000), Planet X3 (IBM PC),
  Prote Pruste (Sharp X68000), RPG Tsukuru Dante98 (NEC PC-9801), RPG Tsukuru Dante98 II (NEC PC-9801),
  Rall III - Kakusei-hen (NEC PC-9801), Red (NEC PC-9801), RoboCop 2 (NES), RoboCop 3 (NES), RoboCop versus The Terminator (NES),
  Sengoku Mahjong (TG-16), Shanghai III (Arcade), Star Saber (Sharp X68000), Star Ship Rendezvous (NEC PC-8801),
  Super Othello (Arcade), Tokusou Sentai Dekaranger (Sega Pico), War-torn Versnag (Sharp X68000) [vgmrips.net, Tafoid]


New NOT_WORKING software list additions
---------------------------------------
a7800: 7800 Pro System Diagnostic Test (prototype), Pole Position II (prototype) [gambler172, Eckhard Stolberg]
c64_cass: Tarzan, Techno Cop, They Stole a Million, Trailblazer (Gremlin Graphics) [The Ultimate Tape Archive Team]
gbcolor: Nǚwáng Gédòu 2000 (Taiwan) [taizou]
ibm5150: King's Quest (DOS release) [Gypsy Dave, archive.org]
intv: Map Mazes (unreleased), Shapes in Space (unreleased) [Chuck Gill]
megadriv: Steel Talons (USA, prototype, 199206xx) [DrBizz]
snes:
  Total Carnage (USA, prototype 19930610) [snescentral]
  Dragon Ball Z - Final Bout (pirate) [VGHF]


Translations added or modified
------------------------------
Chinese (Simplified) [YuiFAN]
Chinese (Traditional) [YuiFAN]
Portuguese (Brazil) [Felipe]


Merged pull requests
--------------------
- 8653: bgfx: Improved Gaussian blur, halation and default gamma for crt-geom and crt-geom-deluxe shaders. [cgwg]
- 9651: sgi_mips.xml: Added some more missing discs. [archive.org, darkstar]
- 9782: bus/ata: Added an ATA CompactFlash device. [Miodrag Milanović]
- 9821: snes.xml: Added bootleg Dragon Ball Z Final Bout dumps. [d4s, VGHF, kmg]
- 9922: lib/formats: Added a read-only CBM DOS file system driver and hooked it up to the Commodore 1541 device. [Nathan Woods]
- 9952: machine/z80scc.cpp: Added support for full duplex DMA, used by Sony NEWS-OS. [Brice Onken]
- 9994: apple2gs_flop_orig.xml: Added Dragon’s Lair games. [Antoine Vignau, A-Noid]
- 9995: a7800.xml: Added four prototypes (two working, two not working). [gambler172, Eckhard Stolberg, kmg]
- 9996: Prevent source files in src/devices from inadvertently including headers from src/mame. [Miodrag Milanović]
- 9999: barcrest/mpu4*.cpp: Assigned more appropriate lamp extender boards for several games based on behaviour. [David Haywood]
- 10001: jpm/jpmsru.cpp: Added DAC sound for Lucky Casino. [SomeRandomGuyIdk]
- 10002: barcrest/mpu4*.cpp: Added ability to override lamp current checks and removed obsolete hack from Connect 4. [James Wallace]
- 10003: formats/fs_coco_rsdos.cpp: Updated for recent file system API changes. [Nathan Woods]
- 10004: Set minimum required permissions on GitHub Actions workflows. [neilnaveen]
- 10006: Added seven games based on V.R. Technology chips and a skeleton MeGaTrix DVD/game system driver. [David Haywood]
- 10007: formats/fs_coco_os9.cpp: Updated for recent file system API changes. [Nathan Woods]
- 10009: nes.xml: Replaced modified drfrankn dump with correct dump. [kmg]
- 10013: atari/atarittl.cpp: Got most graphics and controls working for gtrak10. [Golden Child]
- 10014: seta/seta.cpp: Added an alternate version of Thunder & Lightning. [Sergio Galiano, Recreativos Piscis]
- 10015: barcrest/mpu4*.cpp: Sorted more sets and improved I/O. [David Haywood]
- 10016: netlist: Implemented DM9314 RS mode. [Golden Child]
- 10018: subsino/subsino2.cpp: Identified several inputs for queenbee (MT08365). [Steven Coomber]
- 10019: matic/barata.cpp: Restored proper company name. [einstein95]
- 10020: Explicitly set LinkSupportCircularDependencies for NetBSD (GitHub #10011). [Thomas Klausner]
- 10021: pc/at.cpp: Fixed a typo in asi100b0 company name. [David Silva]
- 10022: atari/atarittl.cpp: Fixed gtrak10 video. [Couriersud]
- 10026: nes.xml: Added nine working prototypes. [Forest of Illusion, johnsodu, kmg]
- 10028: Added support for building with clang on OpenBSD. [Frederic Cambus]
- 10029: Cleaned up #includes in src/osd. [AJR]
- 10030: gameboy.xml: Added fourteen working prototypes. [kmg]
- 10031: gaelco/gaelco2.cpp: Fixed “Touch and Go” game name. [ClawGrip]
- 10032: netlist: Various enhancements, including speed hacks for gtrak10. [Couriersud]
- 10038: skeleton/mt735.cpp: Fleshed out comments, and fixed manufacturer and year. [einstein95]
- 10039: barcrest/mpu4.cpp: Corrected YM2413 clock frequency, fixed I/O for some Dutch games, and sorted more games. [David Haywood]
- 10040: atari/a2600.cpp: Default to having a right joystick connected. [kmg]
- 10041: netlist: Fixed regression causing device macros to be read from source. [Couriersud]
- 10042: neogeo.xml: Fixed eightman serial. [Abadede]
- 10045: sega/model2.cpp: Dumped sound program ROM from Manx TT Twin Rev. A, added it as a clone. [Tailsnic Retroworks, ClawGrip]
- 10048: machine/pci.cpp: Ensure PCI map_extra is called after device reset is complete. [Miodrag Milanović]
- 10049: c64_cass.xml: Added ten items (eight working, two not working). [The Ultimate Tape Archive Team, Steven Coomber]
- 10050: gameboy.xml: Added five working prototypes. [kmg]
- 10052: 3rdparty/ymfm: Updated Yamaha FM synthesis library to latest version (fixes MT08108 and MT08231). [Aaron Giles, hyano]
- 10053: sinclair/spectrum_v.cpp: Avoid screen update before video is initialized (fixes MT08370). [holub]
- 10055: n64.xml: Converted ROM sizes to hexadecimal, and marked Dragon Sword prototypes as bad dumps. [kmg]
- 10056: atari/atarittl.cpp: Fixed stuntcyc ROM addressing so motorcycle displays correctly. [Golden Child]
- 10057: a2600.xml: Set default controllers for games that don’t use joysticks, and corrected some parent/clone relationships. [kmg]
- 10058: Corrected various Japanese titles and removed mention of MESS in software lists. [kmg]
- 10059: ibm5150.xml: Added eight items (seven working, one not working), and replaced two items with better dumps. [ArcadeShadow]
- 10060: megadriv.xml: Added Road Riot 4WD and Steel Talons prototypes. [DrBizz, kmg]
- 10061: snes.xml: Added nine items (eight working, one not working). [kmg]
- 10065: pinball/newcanasta.cpp: Added skeleton for “New Canasta” PC-based pinball. [Vicente y Sergio de ElectronicaVyS, ClawGrip]
- 10066: Updated Brazilian Portuguese translation. [Felipe]
- 10067: midway/midzeus.cpp: Dumped and added The Grid V1.01. [Museo del Recreativo, ClawGrip]
- 10068: Moved EXORterm driver source file to Motorola folder. [68bit]
- 10069: intv.xml: Added two unreleased Tutor Vision cartridge dumps (not working). [Chuck Gill, kmg]
- 10070: nintendo/nes.cpp: Don’t use cartridge software list for disk-only FDS. [kmg]
- 10072: netlist: Corrected 74157 gate output count. [Golden Child]
- 10074: miltonbradley/vectrex.cpp: Corrected propagation of VIA port A output to multiplexer output. [Andrew Green]
- 10075: konami/bishi.cpp: Corrected a few game titles (MT08362). [kmg]
- 10076: nes.xml: Use lowercase for descriptive text in descriptions, and use unabbreviated country names. [ArcadeShadow]
- 10077: atari/a2600.cpp: Made console switches machine configuration switches rather than DIP switches. [kmg]
- 10078: nes.xml: Removed duplicate entry blockset. [kmg]
- 10081: cinematronics/cinemat.cpp: Improved controls for spaceshp, and reformatted comments. [einstein95]
- 10082: valadon/bagman.cpp: Changed fake cabinet type DIP switch to machine configuration setting. [einstein95]
- 10085: ui/selgame.cpp, ui/selsoft.cpp: Fixed out-of-bounds std::vector accesses triggered when menu items is empty. [jflatt]
- 10086: machine/6840ptm.cpp, fairlight/cmi01a.cpp: Improved Fairlight CMI IIx audio emulation. [Ryan Holtz]
- 10087: ekara_japan_g.xml, ekara_japan_m.xml, ekara_japan_s.xml: Dumped six e-kara cartridges. [TeamEurope, David Haywood]
- 10089: pinball/newcanasta.cpp: Changed comment about CPU socket. [ClawGrip]
- 10091: uzebox.xml: Use lowercase for descriptive text in descriptions. [ArcadeShadow]
- 10094: bus/vcs, atari/a2600.cpp: Allow cartridges to install themselves, fixing leaky abstraction. [Wilbert Pol]
- 10096: netlist: Reorganised code and fixed some spelling errors. [Couriersud]
- 10098: Cleaned up Japanese kana issues in software lists. [kmg]
- 10101: capcom/lwings.cpp: Added comment about undumped microcontroller on Avengers boards. [simzy]
- 10102: c64_cass.xml: Added ten items (nine working, one not working). [The Ultimate Tape Archive Team, Steven Coomber]
- 10103: matsushita/duet16.cpp: Added external PTM clock; machine/6840ptm.cpp: Fixed issues from GitHub #10086. [Ryan Holtz]
- 10104: formats/fs_cbmdos.cpp: Changed enumerate function to correctly look for single-density format. [Nathan Woods]
- 10105: famibox.xml: Added missing Punch-Out!! dump, and replaced bad dump for 1943. [Lina, Forest of Illusion, kmg]
- 10108: c64_cass.xml: Added ten items (nine working, one not working). [The Ultimate Tape Archive Team, Steven Coomber]
- 10110: gaelco3d.cpp: Dumped and added Football Power v1.1. [Victor Fernandez (City Game), Arcade Planet, ClawGrip]
- 10111: machine/6840ptm.cpp: Fixed regressions, counter duration, and single-shot/dual-8-bit behavior. [Ryan Holtz]
- 10112: util/zippath.cpp: Removed a now-unnecessary cast to std::string. [Nathan Woods]
- 10114: ibm5170.xml: Added three working items. [ArcadeShadow]
- 10115: video/mc6847.cpp, trs/gime.cpp: Revised font data based on die images and observations. [Tim Lindner]
- 10116: trs/coco.cpp: Fine-tuned CoCo Max III high-resolution joystick adaptor calculations. [Tim Lindner]
- 10117: apple2_flop_*.xml, apple2gs_flop_orig.xml: Added latest dumps and cracks. [4am, san inc., Firehawke]


Source changes
--------------
New working clones
------------------
Tetris + Cherry Master (Corsica, v8.01, encrypted) [Ioannis Bampoulas]

-Reduced project cross-dependencies, slightly improved renaming script. [Vas Crabb]

-Rearrange source to match project structure (done using the script in src/tools). [Vas Crabb]

-Eliminated cross dependencies between driver projects. [Vas Crabb]
 * Driver projects now use globs to search for files.  There's less effort editing the Lua files when things are moved around.
    Remember it won't automatically pick up a change, so if you add/remove/change files, you should touch makefile to get it to find
    the change.
 * Driver projects no longer get the top-level MAME directory as an include path.  This means you need to think about how you
    structure things and not introduce nasty circular dependencies.
 * Subtarget projects can now be generated entirely from .flt files without the need for separate Lua scripts and .lst files.  This
    has been done for the arcade, mess and virtual targets.  It effectively works like a SOURCES= build on a large scale.  This
    means you need to organise things so the dependency genrators can find them.
 * There's an issue with the mess subtarget right now.  For some reason, decmate2.cpp isn't picking up the dependency on the PDP8
    CPU core for the HD6120 device.  I'll debug it later

-Converted nl subtarget to use a filter rather than a script and driver list. [Vas Crabb]

-Add M68HC11 internal EEPROM for relevant models [AJR]

-bellybmbr: Fix ROM loading [AJR]

-Added make opions for filter file, adjusted source path display. [Vas Crabb]
 * Added SOURCEFILTER option to specify a driver filter file in your make options, e.g. like make SUBTARGET=custom
    SOURCEFILTER=mydrivers.flt (or put it in your useroptions.mak if you'll be using it a lot).  It functions more-or-less like
    SOURCES on steroids.
 * Changed the way system/device source file paths are displayed to suit the new source layout better.  INI file loading hasn't
    changed, that still just uses the base file name.
 * Added overlooked trigger to src/bus.lua to include NES controller bus if the NES zapper sensor is needed.

-Prevent src/devices from inadvertently including headers from src/mame. (#9996) [Miodrag Milanović]

-30test.cpp, skeetsht.cpp: Remove EEPROM areas from external maps [AJR]

-More quality of life features for new source layout: [Vas Crabb]
 * Added support for wildcards in .flt filter files.  You'll need to quote them to avoid /* being parsed as a comment initiator,
    like "seta/*.cpp" on a line including the quotes.
 * Added an XSLT filter for listing system driver sources, like mame -lx | xsltproc scripts/xslt/list-system-sources.xslt
 * Converted the ci subtarget (which isn't really used much) into a .flt rather than .lua and .lst files.

New working clones
------------------
Tetris + Cherry Master (Aidonis Games bootleg) [Ioannis Bampoulas]

-dumped a couple missing ROMs for nfm and clone [Ioannis Bampoulas]

New machines marked as NOT_WORKING
----------------------------------
Inter Stellar Zangus (Laser Fantasy vol. 2) [Hiroharu Shiba, Matt Ownby]

-powerpc: Add debugging flags to disassembly for simplified forms of branch instructions [AJR]

-mpu4.cpp - set more likely extender boards for a number of mpu4 sets, based on how they're used (#9999) [David Haywood]
 * allows more games to light all their lamps
 * fixed(?) large extender hookup so that all lamps light, eg. m4andybt
 * gave m4andybt better inputs (is mostly playable now, but some 7segs in the display still aren't hooked up)
 * move some sets to mpu4mod2 and mpu4mod4yam based on sound chip use

-Start moving devices out of src/mame/shared to more appropriate places [AJR]

-naomigd.cpp: Further cleanup [AJR]

-cchance: Derive clocks from known XTAL [AJR]

-fs: new API, blk_t is probably going to change too [Olivier Galibert]

-mame.lua: Add missing machine [AJR]
 * thunderl: Remove unused input ports

-seta.cpp: Update notes [AJR]

-gamegear,xml:  Re-added a prototype that was commented.  Verified hashes and reordered setnames to account for it. [Scott Stone]
 * cpc_cass.xml, dc.xml:  Made comment and linefeed structure fixes.

-gamegear.xml:  Most recent addition matches hashes to parent.  Comment left. [Scott Stone]

-m72.cpp: decapped and dumped MCU for airduelm72, replaced simulation
 [Brian Troha, BillD, rtw, f205v, darksoft, Gor, Smitdogg, Sean Sutton, Team Europe, Silvio, The Dumping Union]

-Fixed CoCo RS-DOS FS module in response to recent FS changes (#10003) [npwoods]

-Set minimum required permissions on GitHub Actions workflows. (#10004) [neilnaveen]

-source org: add readme for ddr, cccp [hap]

-source org: move kr1601rr1 earom chip device to devices/machine [hap]

-source org: merge elektronika with cccp [hap]

-source org: move odyssey2 driver to philips folder [hap]

-source org: merge veb with ddr [hap]

-source org: merge terminal with cccp [hap]

-source org: remove obsolete filename prefix from aci,cxg,hegener,fidelity,novag,saitek [hap]

-Added support for directory names in SOURCES= [Vas Crabb]

-Retired the messshared project (combined with shared). [Vas Crabb]

-bus/nubus: Added table of video modes for Mac monitor sense values. [Vas Crabb]

-source org: rename handheld to misc_handheld and move some files over [hap]

-source org: rename fairch to fairchild [hap]

-source org: merge intv with mattel [hap]

-gbcolor.xml: Added an elaborate bootleg (not working). [Vas Crabb]

New not working software list additions
---------------------------------------
gbcolor.xml: Nǚwáng Gédòu 2000 (Taiwan) [taizou]

-source org: create a misc_chess folder [hap]

-source org: rename mb to miltonbradley, let's move the vectrex to this folder [hap]

-source org: rename aci to appliedconcepts, hegener to hegenerglaser [hap]

-source org: rename cbm to commodore [hap]

-source org: rename ascii to msx [hap]

-sparc: Disassembler fixes [AJR]
 * Compare architecture versions against correct enum values
 * FLUSH exists (at least nominally) on v7 under the name IFLUSH

-Plug and Play bits (mostly dead-end work) (#10006) [David Haywood]

new Software List entries
-------------------------
nes_vt_cart.xml: [David Haywood]
Color Screen Game World - 10 Types of Crazy Games / Wonders 163-in-1 [TeamEurope]

new WORKING machine
-------------------
unknown VT02 based 25-in-1 handheld [jordigahan, ClawGrip, Sean Riddle]

new NOT WORKING machines
------------------------
TV Pump Active [ClawGrip, Sean Riddle]
unknown VTxx based GameBoy style handheld (2019 PCB)   [jordigahan, ClawGrip, Sean Riddle]
unknown VTxx based GameBoy style handheld (2020 PCB)   [jordigahan, ClawGrip, Sean Riddle]
NubSup Mini Game Fan [taizou, TeamEurope]
Q5 500 in 1 Handheld [taizou, TeamEurope]
MeGaTrix (Spain) [jordigahan, ClawGrip, Sean Riddle]

-megatrix: Switch to correct CPU type [AJR]
 * sparc: Fix debugger crash

-Created a CBM DOS file system driver and added it to the 1541 implementation (#9922) [npwoods]

-Fixed CoCo OS-9 FS module in response to recent FS changes (#10007) [npwoods]

-Fix compile [Miodrag Milanovic]

-Moved radio->cccp, merged couple of small into -> sfrj for ex Yugoslavia companies [Miodrag Milanovic]

-Sorted out few more from skeleton [Miodrag Milanovic]

-source org: add extra comment to cccp,ddr,sfrj [hap]

new NOT_WORKING clone
---------------------
Derby Owners Club World Edition (Rev T) [bobbydilley, chunksin, rtw]

-naomi.cpp: small note [MetalliC]

-sgi_mips: add some more missing discs from archive.org (#9651) [Michael D]

New working software list additions
-----------------------------------
O2 Out of Box Experience [archive.org]
O2 Out of Box Experience 2.2 [archive.org]
OCTANE Demos 1.3 and OCTANE2 Demos 1.0 for IRIX 6.5.9 and later [archive.org]
IO4 PROM and flashio Patches [archive.org]
Octane2 VPro Patches 3927 for 6.5.8m and 3928 for 6.5.8f [archive.org]
Octane2 VPro Patches 4103 for 6.5.10m and 4104 for 6.5.10f [archive.org]
IRIX 6.5.4 Base Documentation May 1999 [archive.org]
ONC3/NFS Version 3 for IRIX 6.2, 6.3, 6.4 and 6.5 [archive.org]
Freeware August 1999 [archive.org]

-xsleena: Revert audio CPU clock change that broke sound [AJR]

-konami/ksys573.cpp: Untangled some stuff from the base state (should address the issue #8890 attempts to solve). [Vas Crabb]

-ksys574.cpp: Save additional DDR stage state members. [Vas Crabb]

-Added GitHub actions workflow to build bgfx shaders and upload as an artefact. [Vas Crabb]

-barcrest/mpu4*: Refactoring and functionality additions. (#10002) [James Wallace]
 * Added the ability to override the lamp current checks (will fix Lamp Drive errors) - Connect4 no longer requires a lamping hack.
 * Replaced data logger with serial loopback for systems that expect this.

-Fixed a dumb typo in CI workflow and made task name shorter [Vas Crabb]

-ksys573.cpp: Fix typo [AJR]

-source org: latin letters for cccp [hap]

-seta.cpp: redumped blockcar's sound ROM [caius]

-emu: Fixed issues with memory views and snapshot naming. [Vas Crabb]
 * Include device tag in memory view save item registration names.  Without this, instantiating two of the same device (or two
    devices with identically named memory views) causes a fatal error on start.
 * Fixed -aviwrite/-mngwrite with -snapview native more than two screens. Previously it would attempt to use the same file name for
    all screens but the first.
 * Improved naming of snapshots, especially when using -snapview native with -aviwrite/-mngwrite (see GitHub #10005).  The
    automatically included screen number should come before the extension if supplied. Also, assume that users actually know what
    they’re doing if they include a dot in a snapshot filename pattern.

-Moving "special" to "sssr" [Miodrag Milanovic]

-docs: Added notes about issues building MAME with Visual Studio [Vas Crabb]

-docs: I accidentally a word on the internet (fixed missing word in Visual Studio compiling notes). [Vas Crabb]

-docs: Fixed another missing word. [Robbbert]

-Change sssr to the more known ussr [Olivier Galibert]

-lviv: change 'company' name [hap]

-source org: let's merge the pc folders, also remove misc_ from chess/handheld because i can't make up my mind [hap]

-Assume any src/<target>/* folder containing C++ source is a project.  Only 'shared' is special-cased. [Vas Crabb]

-Allow leaving off the src/<target>/ prefix in SOURCES= [Vas Crabb]

-mess.flt: fix compile [hap]

-Put apple2 arcade derivative in apple [Olivier Galibert]

-source org: remove specialsound.* from shared folder [hap]

-Move avgdvg into devices [Olivier Galibert]

-source org: remove obsolete prefix from bandai_design_master filename [hap]

New machines marked as NOT_WORKING
----------------------------------
Puzz Ball (Japan, PZB1 Ver.A) [buffi]
unknown Namco System 10 medal game (unknown code) [buffi]

New clones marked as NOT_WORKING
--------------------------------
Varth: Operation Thunderstorm (bootleg, set 3) [Jorge Silva]

-f1gp.cpp: redumped f1gpb [Jorge Silva]

-m72.cpp: dumped pal for airduelm72 [Team Europe, porchy]

New working clones
------------------
Super Marukin-Ban (Japan 911128) [system11, porchy]

-There is only one Sega [Olivier Galibert]

-gtrak10: working racetrack, car graphics, added test controls and coi… (#10013) [goldnchild]
 * gtrak10: working racetrack, car graphics, added test controls and coin/start switches
 * gtrak10: added 555 countdown timer

-nld_dm9314.cpp: add RS mode to netlist 9314 (#10016) [goldnchild]

-simpsons: fix sound problems after soft reset [hap]

-plugins/data: Fixed story.dat errors; virtual.flt: Use glob pattern. [Vas Crabb]

-plygonet: update note about quantum [hap]

-virtual.flt: quotation marks for *.cpp filter [hap]

-Added CI job to check for likely mame.lst errors. [Vas Crabb]

-asterix,parodius,rollerg,vendetta: update sound nmi implementation asterix: remove dead code [hap]

-misc konami: update previous nmi commit [hap]

-Seta X1-001 sprite device cleanup [AJR]
 * Use 16-bit pointer for sprite RAM storage (despite some systems only having 8-bit CPUs)
 * Rename device and move to src/devices
 * Clean up variable naming in associated drivers
 * neobattl: Add DIP switch locations
 * krzybowl: Reduce clocks to match known XTAL value

-source org: move cdi to philips folder [hap]

-matic/barata.cpp: Restored proper company name. (#10019) [eientei95]

-source org: remove some 8.3 folder name truncations [hap]

-source org: remove some 8.3 folder name truncations [hap]

-source org: split the 2 olympias [hap]

-Sort out couple more [Miodrag Milanovic]

-Fixed gtrak10 video. (#10022) [couriersud]
 * Fixed gtrak10 video.
 * fix visible area
 * fix display of finish line, disable hack

-thedealr: Emulate 8742 I/O MCU [AJR]

-thedealr: Add timer hack to allow LED outputs to stabilize [AJR]

-at.cpp: Fix typo in asi100b0 company name (#10021) [David 'Foxhack' Silva]

-subsino2.cpp: Identified several inputs for queenbee (MT08365) (#10018) [Steven Coomber]
 * Note that I have been unable to very the inputs on the queenbee clones as only the program ROMs are available presently.

-plygonet: still got a lockup at quantum 600 [hap]

-crazyfgt: Eliminate timer hack since YM3812 IRQ works well enough now [AJR]

-revert: K054539: Add cubic interpolation (reason: causes regression with reverb, and hw realtime cubic interpolation did not exist
 yet) [hap]

-genie: Explicitly set LinkSupportCircularDependencies for NetBSD. (#10020) [Thomas Klausner]
 * Fixes GitHub #10011.

-Added support for building with Clang on OpenBSD. (#10028) [Frederic Cambus]

New working clones
------------------
Birdie Try (Japan revision S) [Team Europe, Brian Troha, The Dumping Union]

-bus/nubus: Implemented enough for interlaced modes not to hang. [Vas Crabb]
 * Implemented more CRTC registers, getting to the point where System 6.0.8 and System 7.0.1 will show video on NTSC and PAL
    displays with approximately correct interrupt timings.  Also implemented 1:2:1 convolutions (this blurs the image vertically -
    in real life it reduces interlace flicker).
 * Screen update in interlaced modes isn't right yet - it updates every line on every frame, and there's a vertical offset caused by
    the initial half-line.

-segasm1.cpp: identified unkm1 as Caribbean Boule [Wayder]

-Shuffle some declarations around in core headers [AJR]

-nubus: Removed PAL monitor/encoder for MDC 1.0.1 (not supported), updated notes. [Vas Crabb]

New WORKING clone (#10014)
--------------------------
Thunder & Lightning (set 2) [Sergio Galiano, Recreativos Piscis]

-Updated Chinese UI translations. [YuiFAN]

-Moved AU & NZ computers into a project [Robbbert]

New machines marked as NOT_WORKING
----------------------------------
Animal Wonders (ver A900) [Ioannis Bampoulas]

-scptchess: rename prtchess [hap]

-source org: remove chrysler folder [hap]

-Clean up #includes in src/osd (#10029) [ajrhacker]
 * Clean up #includes in src/osd
 * render/bgfx/view.cpp: Add license header

-current mpu4 work + sorting (including progress to make m4andybt display correctly with existing layout) (#10015) [David Haywood]
 * current mpu4 work + sorting (including progress to make m4andybt display correctly with existing layout)
 * do the invert in the layout instead for 7segs
 * fixes led extender strobes, allows output to be inverted

-gaelco2.cpp: Fixed "Touch and Go" game name. (#10031) [ClawGrip]

New working clones
------------------
Total Carnage (prototype, proto v 2.0 02/10/92) [The Garcade, Brian Troha]

-netlist: gtrak10 performance and other improvements and fixes (#10032) [couriersud]
 * added support parameter FORCE_TRISTATE_LOGIC on mk28000
 * add system device SYS_PULSE to generate pulse based on input changes parameters are delay, pulse width, input polarity and output
    polarity
 * add USE_SPEED_HACKS define to gtrak10 to enable the use of the above Brings gtrak10 from 18% to 120%.
 * Improved interlaced video support in fixfreq.cpp Added two interlace modes: progressive and interlaced which can be selected in
    machine configuration.
 * more clang format work
 * rename link to connection
 * introduced typed aliases. This information may be used later to rewrite netlists.
 * added a three terminal base device This will allow the analog code to be more easily comparable to literature about MNA (Modal
    node analysis). BJT code is now a lot better readable.
 * fix doxygen consistency
 * added an example for a cmos inverter based on NMOS/PMOS fets.
 * TRUTHTABLE_START was renamed to TRUTH_TABLE
 * truth tables are now enclosed in braces
 * netlists are now enclosed in braces
 * TRUTHTABLE_END() and NETLIST_END() removed from files
 * Fixed static solver script
 * Add file path to includes in nltool

-Made parent/clone terminology consistent in Chinese translations. [YuiFAN]

-bus/nubus: Made Macintosh Display Card round away from zero in 1:2:1 convolution mode. [Vas Crabb]

New working clones
------------------
Acrobat Mission (bootleg with Raiden sounds) [Hammy, EMG]

-supertnk.cpp, suprslam.cpp: used finders for memory banks, other small cleanups [Ivan Vangelista]

-netlist: Fix regression (#10041) [couriersud]
 * Code was parsing src/lib/netlist/macros instead of using compiled version.

-neogeo.xml: Fixed eightman serial. (#10042) [Abadede]
 * Fixed mismatch between serial given in description and info - 024 is lresort serial.

-supduck.cpp: used finder for memory bank and other minor cleanups [Ivan Vangelista]

-leonardo/renaissa: correct ACK output [hap]

-Fail earlier in the build process if SOURCES= specifies no files containing system definitions [Vas Crabb]

-nes.xml: Added nine prototypes. (#10026) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
Déjà Vu (USA, prototype, 19900428) [Forest of Illusion]
Déjà Vu (USA, prototype, 19900508) [Forest of Illusion]
Déjà Vu (USA, prototype, 19900515) [Forest of Illusion]
Déjà Vu (USA, prototype, 19900703) [Forest of Illusion]
Heavy Shreddin' (USA, prototype) [johnsodu]
Shadowgate (Japan, prototype) [Forest of Illusion]
Uninvited (USA, prototype, 19900704) [Forest of Illusion]
Uninvited (USA, prototype, 19900823) [Forest of Illusion]
Uninvited (USA, prototype, 19900910) [Forest of Illusion]

-gameboy.xml: Added 14 prototypes. (#10030) [0kmg]

New working software list additions (gameboy.xml)
-------------------------------------------------
Aladdin (Europe, sample) [thevideogameproject]
Dennis (Europe, prototype) [ashthedragon]
Disney's Darkwing Duck (prototype) [FNeogeo, Forest of Illusion]
Dr. Franken (Europe, prototype) [Aetius For Real]
Eddie's Puzzle Time (prototype) [Jason McGann]
Felix the Cat (prototype) [DillyDylan, drx]
Hook (USA, prototype) [FNeogeo, Forest of Illusion]
Joe & Mac - Caveman Ninja (Europe, prototype) [ashthedragon]
Lemmings (prototype) [speedyink]
Mega Man III (USA, sample) [Skaarg, Rockman Corner]
Mortal Kombat (prototype) [ashthedragon]
R-Type II (prototype) [The Retro Future]
Tintin in Tibet (Europe, En / Es / It / Sv, prototype) [Aetius For Real]

New NOT_WORKING software list additions (gameboy.xml)
-----------------------------------------------------
Death Track (prototype) [speedyink]

-remove not used template function [Miodrag Milanovic]

-machine/z80scc.cpp: Implemented /W//REQ and /DTR//REQ DMA request features. (#9952) [Brice Onken]
 * Adds support for using /W//REQ as the RX DMA pin, as well as the /DTR//REQ pin as the TX DMA pin, allowing software that uses
    both directions simultaneously to function.

-bus/ide: Added ATA CompactFlash device. (#9782) [Miodrag Milanović]

-bgfx: crt-geom and crt-geom-deluxe improvements: (#8653) [cgwg]
 * crt-geom-deluxe: Increased number of taps for halation and increased maximum width.
 * crt-geom*: Moved repeated crt-geom/crt-geom-deluxe functions into their own file.
 * crt-geom and crt-geom-deluxe: added support for sRGB output gamma ramp and made it the default.

-bgfx: Re-built shaders for crt-geom update. [Vas Crabb]

-Fix PCI device initialization (#10048) [Miodrag Milanović]

-mpu4: set YM XTAL to match PCB, fix some Dutch reel / input setups so that sets boot, move a couple of sets (#10039)
 [David Haywood]
 * mpu4: set YM XTAL to match PCB
 * fix some Dutch reel / input setups so that sets boot
 * move a couple of sets
 * disable coinlock logic for now, the code is clearly not suitable for all cases, probably needs to be per machine
 * remove an identical clone set, game clearly boots as 'Atlantis' not Triple Dice'
 * fix a few more reel setups
 * allow m4madhse to boot based on AJR's research
 * m4matdr appears to be a 6 reel setup, this pushes it past the reel check to another error

-m4bjsm, m4bjsma: Add RTC; system boots now [AJR]

-dragonsh: stop error.log filling up with gigabytes of junk [Robbbert]

-Update ymfm library to latest version (a78b567): [Aaron Giles, hyano] (#10052) [Aaron Giles]
 * Fix incorrect operator volumes in some cases for OPL (MT8108)
 * Fix PCM playback to cut off previous notes when new waveforms are selected (see dragnblz)
 * Fix reversed OPM noise frequency
 * Fix bug preventing CSM key ons from being noticed
 * Fix bug where SSG EG envelope could be left in inverted state
 * Fix SSG envelope handling when tone and noise are off
 * Increase strength of DAC discontinuity in YM2612
 * Improve latching logic for fnums in OPN
 * Increase envelope suppression threshold so some effects don't get prematurely muted
 * Improve ADPCM-B behavior at stop/limit addresses (more thorough rewrite here coming later)

-luckybal: fixed random crash at start [hap]

-source org: move pdp1 to dec folder [hap]

-vegas.cpp: dumped revision 2.6 of the nbanfl boot ROM [Genaro Rodarte]

-rbisland.cpp: consolidated in one single file, minor cleanups [Ivan Vangelista]

-mac.cpp: Moved maclc3 and maclc520 to a new, cleaner, independent driver. [R. Belmont]

-mv_sonora: Support machines with a 32-bit wide bus. [R. Belmont]

New working clones
------------------
Crazy Climber (MM Computer Games bootleg) [trol]

-Updated mess.flt [Robbbert]

-exidy440: fix invalid array access [hap]

-spectrum-v.cpp: avoid screen update before video initialized - MT8370 (#10053) [holub]

-pdriftj, pdriftl: Replaced World sound ROMs with versions from a complete Japan-version PCB. [Guru]
 * The EPR number on the Z80 program fits the sequence for pdriftj but the sound itself seems to be the same as the World version.

-Fixes communication with WebSocket servers that send data immediately after the handshake. [Michael Zapf]

-ti99: Improved TIPI stability in communication with real Raspberry Pis [Michael Zapf]

-Give proper credits to patch author (nw) [Michael Zapf]

-n64.xml: Converted ROM sizes to hexadecimal. (#10055) [0kmg]
 * Marked Dragon Sword prototypes as bad dumps and noted incorrect sizes.
 * Marked a few more oddball-sized ROMs as bad dumps.
 * Cleared up comment grammar.

-Minor cleanup: [Vas Crabb]
 * Don't put full path to target resources in generated version resource file.
 * apple/sonora.cpp: Only #include "emu.h" as first thing in .cpp file to avoid PCH issues.
 * taito/rbisland.cpp: Cleaned up a few details.

-saitek_osa maestro: added 2 older C version sets [Berger]

New working clones
------------------
Excel 68000 Mach III Master (set 2) [Lars Hjorth]

-taito/rbisland.cpp: More const, fixed commented code. [Vas Crabb]

-cclimber.cpp: corrected bootlegger name for ccbootmm [Ivan Vangelista]

New working clones
------------------
Excel 68000 Mach III Master (set 2) [Supergrobi]

-stuntcyc: fixed up rom addressing so that cycle displays properly (#10056) [goldnchild]
 * fixed rom addressing
 * added debugging defines to document still existing issues in stuntcyc netlist

-snes.xml: Added nine dumps. (#10061) [0kmg]

New working software list additions
-----------------------------------
Doraemon 2 - Nobita no Toys Land Daibouken (Japan, prototype) [atomic]
Gourmet Warriors [NoIntro]
Jelly Boy (prototype) [Hard4Games, snescentral]
Jelly Boy (earlier prototype) [Mark Flitman, snescentral, VGHF]
Jimmy Connors Pro Tennis Tour (Germany, prototype) [snescentral]
Pinkie [NoIntro]
Superman Unfinished Version (demo) [Nostalgia Alley, snescentral, VGHF]
Tinhead [NoIntro]

New NOT_WORKING software list additions
---------------------------------------
Total Carnage (USA, prototype 19930610) [snescentral]

-opus100pm: add opus 108pm isa bus card [Patrick Mackinlay]

-tking/corona: put sets in order [hap]

-mm2: add notes [hap]

-jpmsru.cpp: Added Lucky Casino DAC. (#10001) [SomeRandomGuyIdk]

-Updated Brazilian Portuguese translation. (#10066) [Felipe]

-Removed leftover strings from Brazilian Portuguese translation. [Vas Crabb]

-kiwame: Move to separate driver; update notes [AJR]

-Misc. minor Mac corrections and documentation updates [AJR]

-megadriv.xml: Added two prototypes. (#10060) [0kmg]

New working software list additions
-----------------------------------
Road Riot 4WD (prototype, 19930719) [DrBizz]

New NOT_WORKING software list additions
---------------------------------------
Steel Talons (USA, prototype, 199206xx) [DrBizz]

-Miscellaneous software list cleanups. (#10058) [0kmg]
 * Removed mention of MESS.
 * Corrected case (and more) in various Japanese titles.

New working clones
------------------
unknown Sidam poker (horizontal) [Benjamin ROUX]

-segaybd.cpp: dumped drive board ROM for Power Drift [Snoz]

-nl:280zzzap.cpp, nl_gunfight.cpp: corrected Welburn spelling [Ivan Vangelista]

-nlm_tt74xx_lib.cpp: fix TTL_74157_GATE (#10072) [goldnchild]

-intv.xml: Added two Tutor Vision dumps. (#10069) [0kmg]

New NOT_WORKING software list additions
---------------------------------------
Map Mazes (unreleased) [Chuck Gill]
Shapes in Space (unreleased) [Chuck Gill]

New machines marked as NOT_WORKING
----------------------------------
532 XL (Yeno) [hap, Lars Hjorth]

-dac: remove dac_4bit_binary_weighted_sign_magnitude_longcat_device [hap]

-hh_tms1k: simplify some speaker connections [hap]

-dac: remove "are these real" section, move 2bit 1s complement dac to the others (it's not r2r or binary weighted, but simply
 connects one output to (+) speaker lead, one output to (-) speaker lead) [hap]

-bishi.cpp: Corrected a few titles (MT08362). (#10075) [0kmg]

New working clones
------------------
Mephisto MM II (set 4) [Lars Hjorth]

-macquadra700.cpp: Further clock corrections [AJR]

Machines promoted to working
----------------------------
532 XL (Yeno) [hap, Lars Hjorth]

-fgoal.cpp: used finders for I/O ports and other smal cleanups [Ivan Vangelista]

-some drivers and devices: removed leftover timer enums [Ivan Vangelista]

-yeno_532xl: add note about bookrom [hap]

-macpwrbk030.cpp: Minor correction [AJR]

-macpwrbk030.cpp: Minor correction, part 2 [AJR]

-exorterm - move to motorola (#10068) [68bit]
 * This is a Motorola product.

-Dumped and added "New Canasta" PC-based pinball as a new skeleton driver (#10065) [ClawGrip]

New NOT_WORKING machine
-----------------------
New Canasta [Vicente y Sergio de ElectronicaVyS, ClawGrip]

New working machines
--------------------
ATM18 Mini Chess Computer (English) [hap]

New working clones
------------------
CC2-Schachzwerg (German) [hap]

-Move some Mac-related notes around [AJR]

-mac.cpp, mac128.cpp, macpwrbk030.cpp, macquadra700.cpp: Source 1-second interrupt from RTC rather than inaccurately count VBLANKs
 [AJR]

-Reduced some redundancy in a few more slot layouts. [Vas Crabb]

-newcanasta.cpp: Update comment (#10089) [ClawGrip]

-osd/sdl: Removed keyboard/mouse/joystick device mapping options. [Vas Crabb]
 * The keyboard and mouse device mapping options did nothing at all, mostly because of lack of support for separating inputs from
    multiple devices.
 * The joystick options were useless when you have two of the same kind of controller, and you can achieve the same thing with
    controller configuration files.

-sonora: Update notes again [AJR]

-atari/a2600.cpp: Console switches are not DIP switches. (#10077) [0kmg]

-nes.xml: Removed duplicate entry, blockset. (#10078) [0kmg]

-new Software List entries (6x eKara / Popira / Popira 2 carts) (#10087) [TeamEurope]

new Software List items
-----------------------
ekara_japan_m:mc0005 Kids Song Mini Volume 1 (Japan) (MC0005-KSM) [TeamEurope]
ekara_japan_m:mc0007 Artist Mini Volume 5 (SMAP, KinKi Kids) (Japan) (MC0007-ATM) [TeamEurope]
ekara_japan_s:sc0015 Detective Conan Volume 2 (Japan) (SC0015-DCS) [TeamEurope]
ekara_japan_s:sc0007 Detective Conan Volume 1 (Japan) (SC0007-DCS) [TeamEurope]
ekara_japan_g:gc0018 TV Pop Volume 7 (Japan) (GC0018-TPJ) [TeamEurope]
ekara_japan_g:gc0011 TV Pop Volume 4 (Japan) (GC0011-TPJ) [TeamEurope]

-Improved metadata for many eKara cartridges. [kmg, Vas Crabb, David Haywood]

-nes.xml: Cleaned up metadata. (#10076) [ArcadeShadow]
 * Use lowercase for descriptive and disambiguation text in descriptions.
 * Use full country names rather than non-standard abbreviations.

-ekara_japan{,_g,_m,_s}.xml: Filled in a few Japanese titles. [Vas Crabb]

Machines promoted to working
----------------------------
Polygonet Commanders (ver UAA) [Ryan Holtz]
Poly-Net Warriors (ver JAA) [Ryan Holtz]

-ui/selgame.cpp, ui/selsoft.cpp: Clear up std::vector asserts triggered when menu items is empty. (#10085) [jflatt]

-fairlight/cmi.cpp: Fairlight CMI IIx audio improvements: (#10086) [Ryan Holtz]
 * fairlight/cmi01a.cpp: Nearly complete rewrite of CMI-01A "Channel Card" emulation.
 * machine/6840ptm.cpp: Fixed a number of bugs in the 6840 PTM emulation.

New working clones
------------------
Mephisto Rebell 5,0 (set 3) [Supergrobi]

New working clones
------------------
Avengers (US set 3) [anonymous]
Avengers (US set 4) [anonymous]

-netlist: include file work (#10096) [couriersud]
 * move code to more appropriate locations
 * apply clang-format to modified files
 * fixed some cspell errors
 * Applied emu.h rule.

-midzeus.cpp: Dumped and added The Grid V1.01 (#10067) [ClawGrip]

New clones marked as NOT_WORKING
--------------------------------
The Grid (version 1.01) [Museo del Recreativo]

-gameboy.xml: Added five prototypes. (#10050) [0kmg]
 * Corrected deathtrk mistakenly being marked as not supported.

New working software list additions
-----------------------------------
Casper (prototype) [Clarkzer0, Forest of Illusion]
Outburst (Japan, prototype) [Martin Refseth, Forest of Illusion]
Primal Rage (prototype) [JakeS909, drx]
Splitz (prototype) [DillyDylan, drx]
Super Off Road (prototype) [DillyDylan, drx]

-lwings.cpp: corrected ROM labels for avengers sets [Brian Troha]

-mt735.cpp: Flesh out comments, fix manufacturer and year (#10038) [eientei95]

-nes.xml: Replaced modified drfrankn dump with correct dump. (#10009) [0kmg]

-uzebox.xml: Metadata Cleaning (#10091) [ArcadeShadow]
 * Lower case on "Alt" word in the set description

-bagman.cpp: Change fake cabinet dip to conf (#10082) [eientei95]

-nes.cpp: Oops, hide cartridge list from disk-only fds. (#10070) [0kmg]

-a7800.xml: Added four prototypes. (#9995) [0kmg]

New working software list additions
-----------------------------------
Food Fight (NTSC, prototype) [gambler172, Eckhard Stolberg]
Xevious (NTSC, prototype) [gambler172, Eckhard Stolberg]

New NOT_WORKING software list additions
---------------------------------------
7800 Pro System Diagnostic Test (prototype) [gambler172, Eckhard Stolberg]
Pole Position II (prototype) [gambler172, Eckhard Stolberg]

-snes.xml: Added bootleg Dragon Ball Z Final Bout dumps. (#9821) [0kmg]
 * snes.xml: Added bootleg Dragon Ball Z Final Bout dumps.

New working software list additions
-----------------------------------
Dragon Ball Z - Final Bout (pirate, hacked) [d4s]

New NOT_WORKING software list additions
---------------------------------------
Dragon Ball Z - Final Bout (pirate) [VGHF]

-Moved entries to section of related unlicensed/pirate games. [0kmg]

-apple2gs_flop_orig.xml: Added 3 Games (#9994) [A-Noid33]

* New working software list additions (apple2gs_flop_orig.xml)
--------------------------------------------------------------
Dragon's Lair [Antoine Vignau, A-Noid]
Dragon's Lair: Escape from Singe's Castle [Antoine Vignau, A-Noid]
Dragon's Lair II: Time Warp [Antoine Vignau, A-Noid]

New working software list additions (apple2gs_flop_orig.xml)
------------------------------------------------------------
Dragon's Lair III: Curse of Mordread [Antoine Vignau, A-Noid]

-Rename Disk 10 - A and Disk 11 - B [A-Noid33]

-Update release date. [A-Noid33]

-c64_cass.xml: Added 10 items (8 working, 2 not working) (#10049) [Steven Coomber]

New working software list additions
-----------------------------------
Tag-Team Wrestling Plus Karate Champ (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Tai-Pan (Ocean) [C64 Ultimate Tape Archive V2.0]
Tank (Ocean) [C64 Ultimate Tape Archive V2.0]
Tapper (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Teenage Mutant Hero Turtles (Image Works) [C64 Ultimate Tape Archive V2.0]
Terra Cresta (Imagine) [C64 Ultimate Tape Archive V2.0]
Test Drive (Electronic Arts) [C64 Ultimate Tape Archive V2.0]
Tetris (Mirrorsoft) [C64 Ultimate Tape Archive V2.0]

New NOT_WORKING software list additions
---------------------------------------
Tarzan (Martech) [C64 Ultimate Tape Archive V2.0]
Techno Cop (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]

-apple2gs_flop_orig.xml: fixed validation [Ivan Vangelista]

-mt735.cpp: ran srcclean [Ivan Vangelista]

-Cleaned up some software list kana issues. (#10098) [0kmg]
 * Replaced incorrect dakuten/double prime quote pairing with proper CJK double quotes.
 * Replaced full-width combining dakuten/handakuten with non-combining equivalents.

-mac.cpp: moved maciivx and maciivi to their own driver. [R. Belmont]

-ns32000: always perform bus-sized writes to aligned memory [Patrick Mackinlay]

-ns32081: invalid operations generate exceptions [Patrick Mackinlay]

-i82586: interrupts are level triggered [Patrick Mackinlay]
 * also tidy up timer usage

-mm58167: day/month counters reset to 1 [Patrick Mackinlay]

-ekara_japan*.xml: Improved metadata. [Vas Crabb]
 * Added a few more Japanese titles.
 * Corrected BSC (Best Scene) and TPJ (TV Pop Junior) titles.
 * Added artists to descriptions for a few cartridges.
 * Moved artists from comments to descriptions fot a few cartridges.
 * Added track listing comment for populated e-kara Web cartridge.

-ekara_japan.xml: Corrected titles for Enka Taizen cartridges. [Vas Crabb]
 * ekara_japan_en.xml: Added another undumped cartridge seen for sale to the header comment.

-ekara_japan*.xml: Fixed element order to match DTD (MAME itself should be stricter on this). [Vas Crabb]

-ekara_japan*.xml: Fixed a few more titles. [Vas Crabb]

-hash/ekara_japan*.xml: Corrected more titles based on box art. [Vas Crabb]

-More Japanese title improvemnts: [Vas Crabb]
 * tvgames/xavix.cpp: Corrected gcslottv system name.
 * ekara_japan_g.xml: Corrected more titles based on box art.
 * gcslottv.xml: Indicate long vowels with overbars in transliterations.

-ekara_japan*.xml: Fixed more titles, updated some comments. [Vas Crabb]

-ekara_japan.xml: Fix order of elements for ec0077. [Vas Crabb]

-cosmac: add 1804 counter timer [hap]

-ssensor4,const: add chess symbols to internal artwork [hap]

-Added info on the Avengers protection chip (#10101) [simzy39]

New clones marked as NOT_WORKING
--------------------------------
Lucky Line III  [Ioannis Bampoulas]

-vasp.cpp: initialized a couple of variables [Ivan Vangelista]

-model2.cpp: Dumped sound program ROM from Manx TT Twin Rev. A, added it as a new set (#10045) [ClawGrip]

New clones marked as NOT_WORKING
--------------------------------
Manx TT Superbike - Twin (Revision A) [Tailsnic Retroworks]

-Fix a number of uninitialized variables [Olivier Galibert]

-ekara_japan*.xml: Hopefully the last round of metadata improvements before acquiring more dumps. [Vas Crabb]

-mac: Some cleanup in the new drivers. [R. Belmont]

-duet16: Added external PTM clock. [Ryan Holtz] (#10103) [MooglyGuy]

-6840ptm: Fixed one-shot behavior and timer enabling when switching to internal clock. [Ryan Holtz]

-Fixing fs::cbmdos_image::enumerate_f() to properly look for single density (instead of double) (#10104) [npwoods]
 * This problem was identified because the file system didn't properly show up when the 'c64' driver was run, and this seems to be
    the correct fix.  The part of this that confuses me is that if this defect was preventing the CBMDOS fs from showing up under
    c64, why don't the CoCo file systems have the same problem?  Both fs_coco_rsdos.cpp and fs_coco_os9.cpp specify (seemingly
    incorrectly) SSDD.

-famibox.xml: Added a missing dump; replaced 1943's bad dump. (#10105) [0kmg]

New working software list additions
-----------------------------------
Punch-Out!! [Lina, Forest of Illusion]

-Miscellaneous cleanup. [Vas Crabb]
 * apple/maciivx.cpp, apple/maclc3.cpp: Fixed unnecessary absolute tags.
 * video/fixfreq.cpp: Make the code look more like the other MAME code:
   - Indent initialiser lists by one level.
   - Indent parameters by two levels when they need to be wrapped.
   - Don't use const on parameters passed by value (not part of signature).
   - Changed C-style casts to function-syntax casts (reduces parentheses).
     * Ran srcclean on capcom/lwings.cpp and video/fixfreq.cpp.

-Updated mess.flt [Robbbert]

-c64_cass.xml: Added 10 items (9 working, 1 not working) (#10102) [Steven Coomber]

New working software list additions
-----------------------------------
They Sold a Million (The Hit Squad) [C64 Ultimate Tape Archive V2.0]
They Sold a Million 3 (The Hit Squad) [C64 Ultimate Tape Archive V2.0]
Thing Bounces Back (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]
Thing on a Spring (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]
Thrill Time Gold 1 (Elite Systems) [C64 Ultimate Tape Archive V2.0]
Thunder Blade (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Thundercats (Elite Systems) [C64 Ultimate Tape Archive V2.0]
Tiger Mission (Status Software) [C64 Ultimate Tape Archive V2.0]
Tilt (Codemasters) [C64 Ultimate Tape Archive V2.0]

New NOT_WORKING software list additions
---------------------------------------
They Stole a Million (39 Steps) [C64 Ultimate Tape Archive V2.0]

New clones marked as NOT_WORKING
--------------------------------
Croupier (Playmark Roulette v.03.09) [Ivan Vangelista]

-model2.cpp: updated documentation for manxtt sets and overrev [Brian Troha]

-c64_cass.xml - Fix duplicate copy/pasted label for ttgold1 [Scott Stone]

-am9516: new device [Patrick Mackinlay]

-cinemat.cpp: Updated controls for spaceshp, and converted to C-style comments to line comments. (#10081) [eientei95]

-chess*: add chess symbols to internal artwork [hap]

-am9516: remove hyperlink [Patrick Mackinlay]

-tavernie: corrected the magazine name. [Robbbert]

-fidelity/*: add speaker symbol to internal artwork [hap]

-gaelco3d.cpp: Dumped and added Football Power v1.1 (#10110) [ClawGrip]
 * gaelco3d.cpp: Dumped and added Football Power v1.1
 * mame.lst: Add 'footbpow11'

-kiwame.cpp: Remove unneeded banking callback [AJR]
 * metafox: Update notes

-6840ptm: Fixed counter duration and fixed output behavior in single-shot and dual-8-bit modes. [Ryan Holtz] (#10111) [MooglyGuy]

-desertdn: update company string [hap]

-fidelity/card: get rid of high freq timer (optimization) [hap]

-util/zippath.cpp: Removed a now-unnecessary cast to std::string. (#10112) [npwoods]

-pang3b4,5: formatting and spelling [Robbbert]

-avengers: add NO_DUMP placeholder for mcu [hap]

-ibm5170.xml: 3 new software additions (#10114) [ArcadeShadow]

New working software list additions
-----------------------------------
Alone in the Dark 2 - Secret Doors (USA) [dosnostalgic, archive.org]
Genesia (v1.41) [The Good Old Days]
Genesia (v1.4) [MarkHnsn, archive.org]

-vgmplay.xml:  Added 40 new entries, 5 updated entries [VMGRips.net, Tafoid]

-vgmplay.xml:  Fixed shortname [Scott Stone]

-mg1: hook up dma controllers [Patrick Mackinlay]

-am9516: bug fixes [Patrick Mackinlay]

-am9516: another bug fix [Patrick Mackinlay]

-m6809: Simplify disassembly of pushes and pulls of both A and B [AJR]

-mainsnk.cpp, munchmo.cpp: consolidated driver in one file, minor cleanups [Ivan Vangelista]

-some drivers: minor spelling fixes (becuase -> because, Fujistu -> Fujitsu) [Ivan Vangelista]

-lwings.cpp: more label updates / comments for the avengers set [Brian Troha]

New working machines
--------------------
Mr. Mus-I-Cal [hap, Sean Riddle]

-hh_tms1k: add note [hap]

-July 2022 update for Apple software lists. (#10117) [Firehawke]

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
Lauren of the 25th Century [4am, Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Key Lingo (Revision 2) (cleanly cracked) [4am, Firehawke]
Number Explorer (cleanly cracked) [4am, Firehawke]
PFS File (Version B.01) (cleanly cracked) [4am, Firehawke]
PFS File (Version C.00) (cleanly cracked) [4am, Firehawke]
PFS Graph (Version 1983-01-12) (cleanly cracked) [4am, Firehawke]
PFS Graph (Version 1984-01-31) (cleanly cracked) [4am, Firehawke]
Spanish for Mastery (cleanly cracked) [4am, san inc, Firehawke]
The Chambers of Vocab (Revision 2) (cleanly cracked) [4am, Firehawke]
Take 1 (Version 06401) (cleanly cracked) [4am, Firehawke]
Sur les traces du Deirdron (cleanly cracked) [4am, Firehawke]
Pixit (Version 01331) (cleanly cracked) [4am, Firehawke]
Portrait Robot (cleanly cracked) [4am, Firehawke]
PFS Write (Version 1986-01-01) (cleanly cracked) [4am, Firehawke]
Blazing Paddles (Revision 0) (cleanly cracked) [4am, Firehawke]
PFS Graph (Version 1984-03-14) (cleanly cracked) [4am, Firehawke]
PFS Write (Version 1984-09-27) (cleanly cracked) [4am, Firehawke]
PFS Report (Version B:00 1981-01-03) (cleanly cracked) [4am, Firehawke]
Rainy Day Games (Version 13501) (cleanly cracked) [4am, Firehawke]
Ski Crazed (Version 28701) (cleanly cracked) [4am, Firehawke]
Video Vegas (Version 12511) (cleanly cracked) [4am, Firehawke]
Trickster Coyote (Version 1984) (cleanly cracked) [4am, Firehawke]
Blazing Paddles (Version 04421) (cleanly cracked) [4am, Firehawke]
PFS Report (Version 1982-01-14) (cleanly cracked) [4am, Firehawke]
Prince (Version 15531) (cleanly cracked) [4am, Firehawke]
PFS Write (Version 1984-11-01) (cleanly cracked) [4am, Firehawke]
German Vocabulary for Shopping Use (cleanly cracked) [4am, Firehawke]
Profession Détective: Qui a volé Lily (cleanly cracked) [4am, Firehawke]
The Factory (Version 1984) (cleanly cracked) [4am, Firehawke]
Prince (Version 15521) (cleanly cracked) [4am, Firehawke]
Fractions en Folie (cleanly cracked) [4am, Firehawke]
PFS Etat (Version 1984-11-26) (cleanly cracked) [4am, Firehawke]
Magicalc (Version 2.0-1984) (cleanly cracked) [4am, Firehawke]
Disk Optimizer II (Version 1.1) (cleanly cracked) [4am, Firehawke]
CHASM Checking Account Systems Manager (cleanly cracked) [4am, Firehawke]
Learning about Geography, Maps, and Globes (cleanly cracked) [4am, Firehawke]
Science Volume 1: The Environment (cleanly cracked) [4am, Firehawke]
Master Diagnostics II and II Plus (cleanly cracked) [4am, Firehawke]
PFS Fichier (Version 1984-11-26) (cleanly cracked) [4am, Firehawke]
PFS Report (Version 1985-09-10) (cleanly cracked) [4am, Firehawke]
Pacific 231 (cleanly cracked) [4am, Firehawke]
Sherwood Forest (cleanly cracked) [4am, Firehawke]
Mathematics Courseware Problem Solving Level 5 (cleanly cracked) [4am, Firehawke]
Star Warrior (Revision 2) (cleanly cracked) [4am, san inc, Firehawke]
Counting Parade (Revision 0) (cleanly cracked) [4am, Firehawke]
Living Chess Library: Paul Whitehead Teaches Chess (cleanly cracked) [4am, Firehawke]
Living Chess Library: King's Indian Defense (cleanly cracked) [4am, Firehawke]
Living Chess Library: 50 Classic Games (cleanly cracked) [4am, Firehawke]
Cotton's First Files (cleanly cracked) [4am, Firehawke]

New working software list additions (apple2gs_flop_orig.xml)
------------------------------------------------------------
Tomahawk [4am, Firehawke]

New working software list additions (apple2_flop_misc.xml)
----------------------------------------------------------
Lauren of the 25th Century [4am, Firehawke]

-mogura.cpp: added hardware info [Guru]

-mrmusical: add speaker switch [hap]

-Adjust cocomax 3 hi res adaptor coefecients to better match values from hardware (#10116) [tim lindner]

-c64_cass.xml: Added 10 items (9 working, 1 not working) (#10108) [Steven Coomber]

New working software list additions
-----------------------------------
Time Tunnel (U.S. Gold) [C64 Ultimate Tape Archive V2.0]
Tintin on the Moon (Infogrames) [C64 Ultimate Tape Archive V2.0]
Token of Ghall (Interceptor Software) [C64 Ultimate Tape Archive V2.0]
Tom & Jerry (Magic Bytes) [C64 Ultimate Tape Archive V2.0]
Tom (Kingsoft) [C64 Ultimate Tape Archive V2.0]
Top Gun (Ocean) [C64 Ultimate Tape Archive V2.0]
The Train: Escape to Normandy (Electronic Arts) [C64 Ultimate Tape Archive V2.0]
The Transformers: Battle to Save the Earth (Activision) [C64 Ultimate Tape Archive V2.0]
Transylvanian Tower (Richard Shepherd Software) [C64 Ultimate Tape Archive V2.0]

New NOT_WORKING software list additions
---------------------------------------
Trailblazer (Gremlin Graphics) [C64 Ultimate Tape Archive V2.0]

-ibm5150.xml: 10 new software additions (#10059) [ArcadeShadow]

New working software list additions
-----------------------------------
Advanced Dungeons & Dragons - DragonStrike (v1.0) [ibmpc5150, archive.org]
Advanced Dungeons & Dragons - DragonStrike (v1.1) [ibmpc5150, archive.org]
Advanced Dungeons & Dragons - DragonStrike (v1.2) [ibmpc5150, archive.org]
Home Alone 2: Lost in New York [ibmpc5150, archive.org]
Pac-Man (Thunder Mountain release) [ibmpc5150, archive.org]
Secret Agent (shareware, $5 Computer Store - Wiz Technology release) [SmartCoda, archive.org]
Temple of Death [ibmpc5150, archive.org]

New NOT_WORKING software list additions
---------------------------------------
King's Quest (DOS release) [Gypsy Dave, archive.org]

Redump
------
Home Alone - A Family Game Without the Family [ibmpc5150, archive.org]
Over the Net! [ibmpc5150, archive.org]

-a2600.cpp: Default to having a right joystick connected. (#10040) [0kmg]

-a2600.xml: Set default controllers for games that don't use joysticks. (#10057) [0kmg]

-vectrex: Pass the new value with the timer param, so it ends up in the y integrator. (#10074) [Andrew Green]
 * Param now holds a value and a destination, so that we write the value that existed at send time, rather than whatever's in PORTA
    when receipt occurs.  Fixes 45° vectors in Thrust and Moon Lander (and presumably others).

-atari/a2600.cpp: Remove device lookups. (#10094) [wilbertpol]
 * atari/a2600.cpp: Remove device lookups.
 * a2600.xml: Fix description for challenge and add usage note.
 * a2600.cpp: Simplified vcs_cart_slot_device. Let cartridges install themselves.
 * bus/vcs/rom.cpp: Reorganized code so each class's code is together.
 * bus/vcs/vcs_slot.cpp: Moved pcb enum from .h to .cpp file

-mc6847: revise font (#10115) [tim lindner]

-mmdisplay1: update lcd on any strobe edge [hap]

-segae.cpp: Fixed labels for megrescu based on PCB photo. [Brian Troha]

-taito_z: use generic output tag for cpua_ctrl_w [hap]

-docs: Updated documentation on compiling MAME. [Vas Crabb]
 * Updated instructions for building subsets of MAME using the SOURCES option.
 * Added descriptions for several more "useful" settings.
 * Bumped documentation version as the build system changes are not in 0.245.

-Minor cleanup and fixes. [Vas Crabb]
 * apple2_flop_clcracked.xml: Turned some comments that are apparently supposed to be usage notes into info elements.
 * konami/mogura.cpp: Made PROM-to-palette mapping more obvious using bitswap.

-apple2_flop_clcracked.xml: fixed typo [Ivan Vangelista]

-More minor cleanup. [Vas Crabb]

-Clean up whitespace with srcclean [Vas Crabb]

-nes.xml: Demoted some Enix games. Cleaned up some titles and alt_titles. (#10127) [0kmg]

-bbc_rom.xml: Fixed a ROM size error. (#10129) [0kmg]

-nes.xml: More cleanups. (#10128) [0kmg]
 * Cleaned up more titles and alt_titles.
 * Converted remaining Jpn to Japan, Tw to Taiwan and Chi to China in descriptions.

-Fixed miscellaneous software list issues: (#10133) [0kmg]
 * casloopy.xml: Fixed a ROM size and kanji reading.
 * casloopy.xml: Fixed a ROM size and kanji reading.
 * x1_flop.xml: Fixed a kanji reading.
 * coco_cart.xml: Fixed a ROM size.
